; PDskPrmpt 
									  
; CapXMacs.ahk  (incl. ahk_Ehlp & CapXShft.ahk (requires XP/2k/NT)	;;

;'Based on Context Sensitive Help in Any Editor & IntelliSense -- by Rajat'
; This script makes Ctrl+F6 (or another hotkey of your choice) show the help file page 
; for the selected AutoHotkey command or keyword. If nothing is selected, 
; the command name will be extracted from the beginning of the current line.
; CapXShft:
; Now includes 'ShiftOff' by Skrommel: http://www.donationcoders.com/skrommel
; AutoHotKey:  http://www.autohotkey.com ; Requires v1.0.25.0+

;CONFIGURATION SECTION: ;Customize the script with the following variables.

; The hotkey below is pressed to display the current command's page in the
;`help file` Hotkey:
I_HelpHotkey = ^F6

; The string below must exist somewhere in the active window's title for
; ahk_Ehlp to be in effect while you're typing.  Make it blank to have
; ahk_Ehlp operate in all windows.  Make it Pad to have it operate in
; editors such as Metapad, Notepad, and Textpad.  Make it .ahk to have it
; operate only when a .ahk file is open in Notepad, Metapad, etc.
I_Editor = EditPad Pro
I_Editpath = G:\V\E\EDITPAD\
I_Editname = EditPadPro.exe

; If you wish to have a different icon for this script to distinguish it from
; other scripts in the tray, provide the filename below (leave blank to have
; no icon). For example: g:\v\m\authotky\compiler\xicons\shiftoff.ahk
I_Icon = g:\v\m\authotky\compiler\xicons\shiftoff.ico

;END OF CONFIGURATION SECTION;`Do not make changes below this point`
; unless you want to change the basic functionality of the script).

DetectHiddenWindows, On
SetKeyDelay, 0
#SingleInstance force
#Persistent
;   #UseHook On

; ** Following line cripples NumpadSub,NumpadAdd,NumpadSub,NumpadAdd
; AutoTrim, On

; Change tray icon (if one was specified in the configuration section above):
if I_Icon <>
	IfExist, %I_Icon%
		Menu, Tray, Icon, %I_Icon%

; Goto, Progchk

; ------------------------------------------------------- CapXShft
; ------------------------------------------------------- 
;CapXShft.ahk
; Turns off CapsLock when Shift is pressed together with A-Z and a other user defined keys.
;Skrommel @2006

; #SingleInstance,Force
; #Persistent
Gosub,TRAYMENU
Gosub,INI

Goto, Progchk
Return


DOWN:
Send,%A_ThisHotkey%
Return


UP:
SetCapsLockState,Off
Return


TRAYMENU:
Menu,Tray,NoStandard 
Menu,Tray,DeleteAll 
Menu,Tray,Add,CapXShft,ABOUT
Menu,Tray,Add,
Menu,Tray,Add,&Settings...,SETTINGS
Menu,Tray,Add,&About...,ABOUT
Menu,Tray,Add,E&xit,EXIT
Menu,Tray,Default,CapXShft
Menu,Tray,Tip,CapXShft
Return


SETTINGS:
Gui,Destroy
Gui,Add,GroupBox,w400 h70,&Keys
Gui,Add,Button,y+10 w75 GSETTINGSOK,&OK
Gui,Add,Button,x+5 w75 GSETTINGSCANCEL,&Cancel
Gui,Add,Edit,xm+10 ym+30 w380 vskeys,%keys%
Gui,Show,,CapXShft Settings
Return

SETTINGSOK:
Gui,Submit
keys:=skeys
IniWrite,%keys%,CapXShft.ini,Settings,keys
Return

SETTINGSCANCEL:
Gui,Destroy
Return


INI:
IfNotExist,CapXShft.ini
{
  IniWrite,`r`n,CapXShft.ini,Removed,NotSet
  IniWrite,ABCDEFGHIJKLMNOPQRSTUVWXYZ,CapXShft.ini,Settings,keys
}
IniRead,keys,CapXShft.ini,Settings,keys
If keys=ERROR
  keys=ABCDEFGHIJKLMNOPQRSTUVWXYZ
Loop,Parse,keys
{
  Hotkey,+%A_LoopField%,DOWN
  Hotkey,+%A_LoopField% Up,UP
}
Return


ABOUT:
Gui,Destroy
Gui,Add,Picture,Icon1,CapXShft.exe
Gui,Font,Bold
Gui,Add,Text,x+10 yp+10,CapXShft v1.1
Gui,Font
Gui,Add,Text,xm,Turns off CapsLock when Shift is pressed together 
Gui,Add,Text,xm+10,with A-Z and other user defined keys.
Gui,Add,Text,xm,To change the keys, choose Settings in the tray menu.
Gui,Add,Text,xm y+15,Made using AutoHotkey - 
Gui,Font,CBlue Underline
Gui,Add,Text,x+5 GAUTOHOTKEY,http://www.autohotkey.com
Gui,Font
Gui,Add,Text,xm,`t
Gui,Add,Picture,Icon2,CapXShft.exe
Gui,Font,Bold
Gui,Add,Text,x+10 yp+10,1 Hour Software by Skrommel
Gui,Font
Gui,Add,Text,xm,For more tools and information, please stop by at
Gui,Font,CBlue Underline
Gui,Add,Text,xm GWWW,http://www.donationcoders.com/skrommel
Gui,Font
Gui,Add,Button,GABOUTOK Default xm+220 y+20 w75,&OK
Gui,Show,,CapXShft About
about=
Return

AUTOHOTKEY:
Run,http://www.autohotkey.com,,UseErrorLevel
Return

WWW:
Run,http://www.donationcoders.com/skrommel,,UseErrorLevel
Return

ABOUTOK:
Gui,Destroy
Return


EXIT:
ExitApp
; -------------------------------------------------------
; -------------------------------------------------------
Progchk:

; Active window check:  ;;

; This section below to provide specific KEY MACROS stops all function within MS WORD: ;;

WinGetActiveTitle, ActiveTitle
;   	MsgBox , 0, Warning, ActiveTitle is "%ActiveTitle%" /I_Editor=%I_Editor%, 5

IfInString, ActiveTitle, soft%A_Space%Word
	Goto msWord
IfInString, ActiveTitle, PowerDesk
	Goto PwDeskAct

IfNotInString, ActiveTitle, %I_Editor%
	Return

; This section ABOVE to provide specific KEY MACROS stops all function within MS WORD: ;;


; -------------------------------------------------------

if I_HelpHotkey <>
        Hotkey, %I_HelpHotkey%, I_HelpHotkey

;  Hotkey, *NumpadSub, EPadNMsub
;  Hotkey, *NumpadAdd, EPadNMadd
;  Hotkey, ^NumpadSub, EPadCNMsub
;  Hotkey, ^NumpadAdd, EPadCNMadd


RegRead, ahk_dir, HKEY_LOCAL_MACHINE, SOFTWARE\AutoHotkey, InstallDir
if ErrorLevel <> 0  ; Use a best guess location instead.
;
;        ahk_dir = %A_ProgramFiles%\AutoHotkey
;
         ahk_dir = g:\v\m\authotky
         
IfNotExist %ahk_dir%
{
	MsgBox Could not find the AutoHotkey folder.
	ExitApp
}

ahk_help_file = %ahk_dir%\AutoHotkey.chm


goto EditPadK

; -----------+--------------------------------------------
; -------------------------------------------------------
PwDeskAct:
; PowerDesk Hotkeys placed here

Return

; -------------------------------------------------------
; -------------------------------------------------------
msWord:
; Microsoft Word Hotkeys placed here

#IfWinActive Microsoft Word
F1::
C_ClipboardPrev = %clipboard%
clipboard =
; Use the highlighted word if there is one 
; For WORD, can use ^{Insert}, ^{Ins}, ^{NumpadIns}, ^y (^y = ^{Insert} = EditCopy)
Send, ^{Insert}
ClipWait, 0.1
if ErrorLevel <> 0
{
	; Get the entire line because editors treat cursor navigation keys differently:
	Send, {home}+{end}^{Insert}
	ClipWait, 0.2
	if ErrorLevel <> 0  ; rare, so no error is reported.
	{
		clipboard = %C_ClipboardPrev%
		Send, {home}
		return
	}
	Clipboard = `r`n%Clipboard%
}
Send, {home}
Return

Return
; -------------------------------------------------------
; -------------------------------------------------------
EditPadK:
; EditPad Pro Hotkeys placed here

#IfWinActive EditPad Pro
!F1::
; this hotkey == @F1
C_ClipboardPrev = %clipboard%
clipboard = %Clipboard_App%
Send, ^+c
Clipboard_App = %clipboard%
clipboard = %C_ClipboardPrev%
Return

Return
; ------------------------------------------------------- New AutoHotKey
I_HelpHotkey:

Return
